Bug 501059 - Using anaconda-ks.cfg logvol and volgroup commands fails -
Using anaconda-ks.cfg logvol and volgroup commands fails -
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-15 14:21 EDT by James Laska
Modified: 2013-09-02 02:36 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-20 13:48:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda-logs.tgz (ks.cfg, /tmp/*log*) (14.53 KB, application/x-gzip)
2009-05-15 14:21 EDT, James Laska
no flags Details

  None (edit)
Description James Laska 2009-05-15 14:21:27 EDT
Created attachment 344215 [details]
anaconda-logs.tgz (ks.cfg, /tmp/*log*)

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install F11 using clearpart + autopart with more than 1 disk
2. Reinstall F11 using the anaconda-ks.cfg generated

    #clearpart --all --initlabel
    #volgroup vg_ibmsf2blp1 --pesize=4.0 pv.Uh3uOT-WMyK-tf5d-6nhh-lm5e-P3cO-CsfPwO pp
    v.e3k1N8-llW7-Opoo-hcq0-RRe3-Jhk0-iRFav1
    #logvol / --fstype=ext4 --name=lv_root --vgname=vg_ibmsf2blp1 --grow --size=1024
    #logvol swap --name=lv_swap --vgname=vg_ibmsf2blp1 --grow --size=1000 --maxsize==
    9728

    #part prepboot --fstype=prepboot --size=4
    #part /boot --fstype=ext3 --size=200
    #part pv.Uh3uOT-WMyK-tf5d-6nhh-lm5e-P3cO-CsfPwO --grow --size=1
    #part pv.e3k1N8-llW7-Opoo-hcq0-RRe3-Jhk0-iRFav1 --grow --size=1
  
Actual results:

Dialog stating:

==============================
Error Parsing Kickstart Config
==============================
The following error was found while parsing your
kickstart configuration:

The following problem occurred on line 19 of
the kickstart file:

Tried to use undefined partition pv.Nlog0D-xM7K-qNiy-5b0F-t2aU-AKOh-6HUYzP in Volume Group specification
==============================


Expected results:

 * Successful install

Additional info:

 * see attached ks.cfg and /tmp/*log* files
Comment 1 Bug Zapper 2009-06-09 11:54:35 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Chris Lumens 2009-07-28 17:09:45 EDT
I'm not sure what's going on with the pv.WHATEVER in the error message not matching up with anything in the kickstart file.  However, it looks at least like the order is incorrect.  What happens if you reorder the kickstart file to have part lines, then volgroup, then logvol?

Note You need to log in before you can comment on or make changes to this bug.